Debian Bug report logs - #650978
/usr/bin/schroot: 10mount: mount: exec mount_nullfs not found: No such file or directory

version graph

Package: freebsd-utils; Maintainer for freebsd-utils is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for freebsd-utils is src:freebsd-utils.

Reported by: "Damien Raude-Morvan" <drazzib@drazzib.com>

Date: Sun, 4 Dec 2011 19:03:02 UTC

Severity: normal

Fixed in version freebsd-utils/9.0-2

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>:
Bug#650978; Package schroot. (Sun, 04 Dec 2011 19:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Damien Raude-Morvan" <drazzib@drazzib.com>:
New Bug report received and forwarded. Copy sent to Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>. (Sun, 04 Dec 2011 19:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Damien Raude-Morvan" <drazzib@drazzib.com>
To: submit@bugs.debian.org
Subject: /usr/bin/schroot: 10mount: mount: exec mount_nullfs not found: No such file or directory
Date: Sun, 4 Dec 2011 20:01:31 +0100
[Message part 1 (text/plain, inline)]
Package: schroot
Version: 1.4.23-1
File: /usr/bin/schroot
Severity: normal

Dear Maintainer,

After an "apt-get dist-upgrade" of some kfreebsd-amd64 sid VM to latest 
packages I'm unable to use schroot :
-------
schroot -c chroot:unstable-kfreebsd-amd64-sbuild
E: 10mount: mount: exec mount_nullfs not found: No such file or directory
E: unstable-kfreebsd-amd64-sbuild-1323025090-17174: Chroot setup failed: 
stage=setup-start
-------
I'm unsure if this is a bug in schroot or is something else but, at least, I 
can mount a nullfs manually :
-------
sudo mount -t nullfs  /srv/chroots/unstable-kfreebsd-amd64-sbuild 
/var/lib/schroot/mount/unstable-kfreebsd-amd64-sbuild-1323006838-1946
-------
So at least mount command (with sudo) can found nullfs helper into /sbin/

Cheers,

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: kfreebsd-amd64 (x86_64)

Kernel: kFreeBSD 9.0-0-amd64
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash

Versions of packages schroot depends on:
ii  libboost-filesystem1.46.1       1.46.1-7+b1
ii  libboost-program-options1.46.1  1.46.1-7+b1
ii  libboost-regex1.46.1            1.46.1-7+b1
ii  libboost-system1.46.1           1.46.1-7+b1
ii  libc0.1                         2.13-21
ii  libgcc1                         1:4.6.2-5
ii  liblockdev1                     1.0.3-1.4+b2
ii  libpam0g                        1.1.3-6
ii  libstdc++6                      4.6.2-5
ii  schroot-common                  1.4.23-1

schroot recommends no packages.

Versions of packages schroot suggests:
ii  aufs-modules | unionfs-modules  <none>
ii  btrfs-tools                     <none>
ii  debootstrap                     1.0.38
ii  lvm2                            <none>
ii  unzip                           6.0-5

-- no debconf information

-- 
Damien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>:
Bug#650978; Package schroot. (Sun, 04 Dec 2011 19:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@codelibre.net>:
Extra info received and forwarded to list. Copy sent to Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>. (Sun, 04 Dec 2011 19:21:05 GMT) Full text and rfc822 format available.

Message #10 received at 650978@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@codelibre.net>
To: Damien Raude-Morvan <drazzib@drazzib.com>, 650978@bugs.debian.org
Subject: Re: [buildd-tools-devel] Bug#650978: /usr/bin/schroot: 10mount: mount: exec mount_nullfs not found: No such file or directory
Date: Sun, 4 Dec 2011 19:16:29 +0000
On Sun, Dec 04, 2011 at 08:01:31PM +0100, Damien Raude-Morvan wrote:
> After an "apt-get dist-upgrade" of some kfreebsd-amd64 sid VM to latest 
> packages I'm unable to use schroot :
> -------
> schroot -c chroot:unstable-kfreebsd-amd64-sbuild
> E: 10mount: mount: exec mount_nullfs not found: No such file or directory
> E: unstable-kfreebsd-amd64-sbuild-1323025090-17174: Chroot setup failed: 
> stage=setup-start
> -------
> I'm unsure if this is a bug in schroot or is something else but, at least, I 
> can mount a nullfs manually :
> -------
> sudo mount -t nullfs  /srv/chroots/unstable-kfreebsd-amd64-sbuild 
> /var/lib/schroot/mount/unstable-kfreebsd-amd64-sbuild-1323006838-1946
> -------
> So at least mount command (with sudo) can found nullfs helper into /sbin/

I'm not sure if this is a schroot issue, or an issue with the
kfreebsd system.  Is "mount_nullfs" referenced by the 10mount
script (/etc/schroot/setup.d/10mount)?  If it's a helper program
which is no longer available, I think it's a kfreebsd issue.  Has
the 10mount script been modified to contain a mount_nullfs function
or other usage?

Does running with --verbose and/or --debug=notice produce anything
more informative?


Thanks,
Roger

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux             http://people.debian.org/~rleigh/
 `. `'   Printing on GNU/Linux?       http://gutenprint.sourceforge.net/
   `-    GPG Public Key: 0x25BFB848   Please GPG sign your mail.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>:
Bug#650978; Package schroot. (Sun, 04 Dec 2011 19:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Damien Raude-Morvan" <drazzib@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>. (Sun, 04 Dec 2011 19:33:04 GMT) Full text and rfc822 format available.

Message #15 received at 650978@bugs.debian.org (full text, mbox):

From: "Damien Raude-Morvan" <drazzib@debian.org>
To: Roger Leigh <rleigh@codelibre.net>
Cc: 650978@bugs.debian.org
Subject: Re: [buildd-tools-devel] Bug#650978: /usr/bin/schroot: 10mount: mount: exec mount_nullfs not found: No such file or directory
Date: Sun, 4 Dec 2011 20:29:03 +0100
[Message part 1 (text/plain, inline)]
Le dimanche 04 décembre 2011 20:16:29, Roger Leigh a écrit :
> On Sun, Dec 04, 2011 at 08:01:31PM +0100, Damien Raude-Morvan wrote:
> > After an "apt-get dist-upgrade" of some kfreebsd-amd64 sid VM to latest
> > packages I'm unable to use schroot :
> > -------
> > schroot -c chroot:unstable-kfreebsd-amd64-sbuild
> > E: 10mount: mount: exec mount_nullfs not found: No such file or directory
> > E: unstable-kfreebsd-amd64-sbuild-1323025090-17174: Chroot setup failed:
> > stage=setup-start
> > -------
> > I'm unsure if this is a bug in schroot or is something else but, at
> > least, I can mount a nullfs manually :
> > -------
> > sudo mount -t nullfs  /srv/chroots/unstable-kfreebsd-amd64-sbuild
> > /var/lib/schroot/mount/unstable-kfreebsd-amd64-sbuild-1323006838-1946
> > -------
> > So at least mount command (with sudo) can found nullfs helper into /sbin/
> 
> I'm not sure if this is a schroot issue, or an issue with the
> kfreebsd system.  Is "mount_nullfs" referenced by the 10mount
> script (/etc/schroot/setup.d/10mount)? 

AFAIK, you're right: mount_nullfs helper is not referenced expicitly inside 
10mount. There is only a BINDOPT="-t nullfs", which, I guess, is passed as-is 
to mount command.

> If it's a helper program
> which is no longer available, I think it's a kfreebsd issue.  Has
> the 10mount script been modified to contain a mount_nullfs function
> or other usage?

No, I haven't touched anything on this script. Maybe there is something wrong 
with PATH (as mount_nullfs is in /sbin/) ?

> 
> Does running with --verbose and/or --debug=notice produce anything
> more informative?

I can't see anything helpful, but here it is :

I: Executing '00check setup-start ok'
I: 00check: STAGE=setup-start
I: 00check: STATUS=ok
I: 00check: AUTH_GID=1002
I: 00check: AUTH_HOME=/home/drazzib
I: 00check: AUTH_RGID=1002
I: 00check: AUTH_RGROUP=drazzib
I: 00check: AUTH_RUID=1002
I: 00check: AUTH_RUSER=drazzib
I: 00check: AUTH_SHELL=/bin/bash
I: 00check: AUTH_UID=1002
I: 00check: AUTH_USER=drazzib
I: 00check: AUTH_VERBOSITY=verbose
I: 00check: CHROOT_DESCRIPTION=Debian sid/kfreebsd-i386 autobuilder (session 
chroot)
I: 00check: CHROOT_DIRECTORY=/srv/chroots/sid-kfreebsd-i386-sbuild
I: 00check: CHROOT_MOUNT_LOCATION=/var/lib/schroot/mount/sid-kfreebsd-i386-
sbuild-1323026879-2742
I: 00check: CHROOT_NAME=sid-kfreebsd-i386-sbuild
I: 00check: CHROOT_PATH=/var/lib/schroot/mount/sid-kfreebsd-i386-
sbuild-1323026879-2742
I: 00check: CHROOT_SCRIPT_CONFIG=/etc/schroot/sbuild/config
I: 00check: CHROOT_SESSION_CLONE=false
I: 00check: CHROOT_SESSION_CREATE=false
I: 00check: CHROOT_SESSION_PURGE=false
I: 00check: CHROOT_TYPE=directory
I: 00check: CHROOT_UNION_TYPE=none
I: 00check: DATA_DIR=/usr/share/schroot
I: 00check: HOST=i486-pc-kfreebsd-gnu
I: 00check: HOST_CPU=i486
I: 00check: HOST_OS=kfreebsd-gnu
I: 00check: HOST_VENDOR=pc
I: 00check: LIBEXEC_DIR=/usr/lib/schroot
I: 00check: MOUNT_DIR=/var/lib/schroot/mount
I: 00check: PID=2742
I: 00check: PLATFORM=freebsd
I: 00check: PWD=/
I: 00check: SESSION_ID=sid-kfreebsd-i386-sbuild-1323026879-2742
I: 00check: SETUP_DATA_DIR=/usr/share/schroot/setup
I: 00check: SHLVL=1
I: 00check: SYSCONF_DIR=/etc/schroot
I: 00check: VERBOSE=verbose
I: 00check: _=/usr/bin/env
I: Executing '05btrfs setup-start ok'
I: Executing '05file setup-start ok'
I: Executing '05lvm setup-start ok'
I: Executing '05union setup-start ok'
I: Executing '10mount setup-start ok'
I: 10mount: Mounting /srv/chroots/sid-kfreebsd-i386-sbuild on 
/var/lib/schroot/mount/sid-kfreebsd-i386-sbuild-1323026879-2742
I: 10mount: -v -t nullfs  /srv/chroots/sid-kfreebsd-i386-sbuild 
/var/lib/schroot/mount/sid-kfreebsd-i386-sbuild-1323026879-2742
E: 10mount: mount: exec mount_nullfs not found: No such file or directory
I: 10mount: /dev/ad4s1f on /var (ufs, local, soft-updates)
I: Executing '99check setup-stop fail'
I: 99check: STAGE=setup-stop
I: 99check: STATUS=fail
I: 99check: AUTH_GID=1002
I: 99check: AUTH_HOME=/home/drazzib
I: 99check: AUTH_RGID=1002
I: 99check: AUTH_RGROUP=drazzib
I: 99check: AUTH_RUID=1002
I: 99check: AUTH_RUSER=drazzib
I: 99check: AUTH_SHELL=/bin/bash
I: 99check: AUTH_UID=1002
I: 99check: AUTH_USER=drazzib
I: 99check: AUTH_VERBOSITY=verbose
I: 99check: CHROOT_DESCRIPTION=Debian sid/kfreebsd-i386 autobuilder (session 
chroot)
I: 99check: CHROOT_DIRECTORY=/srv/chroots/sid-kfreebsd-i386-sbuild
I: 99check: CHROOT_MOUNT_LOCATION=/var/lib/schroot/mount/sid-kfreebsd-i386-
sbuild-1323026879-2742
I: 99check: CHROOT_NAME=sid-kfreebsd-i386-sbuild
I: 99check: CHROOT_PATH=/var/lib/schroot/mount/sid-kfreebsd-i386-
sbuild-1323026879-2742
I: 99check: CHROOT_SCRIPT_CONFIG=/etc/schroot/sbuild/config
I: 99check: CHROOT_SESSION_CLONE=false
I: 99check: CHROOT_SESSION_CREATE=false
I: 99check: CHROOT_SESSION_PURGE=false
I: 99check: CHROOT_TYPE=directory
I: 99check: CHROOT_UNION_TYPE=none
I: 99check: DATA_DIR=/usr/share/schroot
I: 99check: HOST=i486-pc-kfreebsd-gnu
I: 99check: HOST_CPU=i486
I: 99check: HOST_OS=kfreebsd-gnu
I: 99check: HOST_VENDOR=pc
I: 99check: LIBEXEC_DIR=/usr/lib/schroot
I: 99check: MOUNT_DIR=/var/lib/schroot/mount
I: 99check: PID=2742
I: 99check: PLATFORM=freebsd
I: 99check: PWD=/
I: 99check: SESSION_ID=sid-kfreebsd-i386-sbuild-1323026879-2742
I: 99check: SETUP_DATA_DIR=/usr/share/schroot/setup
I: 99check: SHLVL=1
I: 99check: SYSCONF_DIR=/etc/schroot
I: 99check: VERBOSE=verbose
I: 99check: _=/usr/bin/env
I: Executing '50chrootname setup-stop fail'
I: Executing '20nssdatabases setup-stop fail'
I: Executing '20copyfiles setup-stop fail'
I: Executing '15killprocs setup-stop fail'
I: 15killprocs: Killing processes run inside /var/lib/schroot/mount/sid-
kfreebsd-i386-sbuild-1323026879-2742
I: Executing '10mount setup-stop fail'
I: Executing '05union setup-stop fail'
I: Executing '05lvm setup-stop fail'
I: Executing '05file setup-stop fail'
I: Executing '05btrfs setup-stop fail'
I: Executing '00check setup-stop fail'
E: sid-kfreebsd-i386-sbuild-1323026879-2742: Chroot setup failed: stage=setup-
start

-- 
Damien - Debian Developper
http://wiki.debian.org/DamienRaudeMorvan
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>:
Bug#650978; Package schroot. (Sun, 04 Dec 2011 20:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@codelibre.net>:
Extra info received and forwarded to list. Copy sent to Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>. (Sun, 04 Dec 2011 20:51:06 GMT) Full text and rfc822 format available.

Message #20 received at 650978@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@codelibre.net>
To: Damien Raude-Morvan <drazzib@debian.org>
Cc: 650978@bugs.debian.org
Subject: Re: [buildd-tools-devel] Bug#650978: /usr/bin/schroot: 10mount: mount: exec mount_nullfs not found: No such file or directory
Date: Sun, 4 Dec 2011 20:47:18 +0000
On Sun, Dec 04, 2011 at 08:29:03PM +0100, Damien Raude-Morvan wrote:
> Le dimanche 04 décembre 2011 20:16:29, Roger Leigh a écrit :
> > On Sun, Dec 04, 2011 at 08:01:31PM +0100, Damien Raude-Morvan wrote:
> > 
> > I'm not sure if this is a schroot issue, or an issue with the
> > kfreebsd system.  Is "mount_nullfs" referenced by the 10mount
> > script (/etc/schroot/setup.d/10mount)? 
> 
> AFAIK, you're right: mount_nullfs helper is not referenced expicitly inside 
> 10mount. There is only a BINDOPT="-t nullfs", which, I guess, is passed as-is 
> to mount command.

Yes.  It's just running "mount -t nullfs ...".

> No, I haven't touched anything on this script. Maybe there is something wrong 
> with PATH (as mount_nullfs is in /sbin/) ?

I don't see PATH set in the debug output.  Looking at the code running
run_parts in sbuild-session.cc, PATH is not explicitly set in the
environment.  I would have to look back to see why we are doing this;
I think it was by design, but I can't offhand recall the reason.  It
might be because we expect the shell to set up the environment if
missing, but not sure.  It certainly doesn't set PATH on Linux with
/bin/sh=dash.  We usually delegate to PAM, but the setup scripts are
PAM-independent.

WRT kfreebsd mount, it should not require PATH setting in order to
find its helpers, I think.  On Linux, mount is setuid root, not sure
if it's also the case on kfreebsd.  Such a program should not honour
the environment since it's a security hole.

We can certainly look at explicitly setting PATH when running setup
scripts.  I just need to verify why we aren't doing it already in
case there's a good reason why we don't.


Regards,
Roger

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux             http://people.debian.org/~rleigh/
 `. `'   Printing on GNU/Linux?       http://gutenprint.sourceforge.net/
   `-    GPG Public Key: 0x25BFB848   Please GPG sign your mail.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>:
Bug#650978; Package schroot. (Sun, 12 Feb 2012 20:18:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Damien Raude-Morvan <drazzib@drazzib.com>:
Extra info received and forwarded to list. Copy sent to Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>. (Sun, 12 Feb 2012 20:18:07 GMT) Full text and rfc822 format available.

Message #25 received at 650978@bugs.debian.org (full text, mbox):

From: Damien Raude-Morvan <drazzib@drazzib.com>
To: debian-bsd@lists.debian.org
Cc: 650978@bugs.debian.org
Subject: schroot: mount: exec mount_nullfs not found: No such file or directory
Date: Sun, 12 Feb 2012 21:15:00 +0100
Hi BSD Porters,

Since last December, I'm unable to use sbuild/schroot on an unstable box :

~# sbuild-update -ugdc unstable
E: 10mount: mount: exec mount_nullfs not found: No such file or directory
E: unstable-kfreebsd-amd64-sbuild-1329077042-35644: Chroot setup failed: 
stage=setup-start
Chroot setup failed
Error setting up unstable chroot
Chroot setup failed at /usr/bin/sbuild-update line 166.

FTR:
1) I can manually mount -t nullfs via sudo
2) I haven't made any change to PATH
3) AFAIK, mount can't find its helper in /sbin/

This issue is tracked as #650978.

Does anybody have a clue ?

Regards,
-- 
Damien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>:
Bug#650978; Package schroot. (Sun, 12 Feb 2012 20:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@codelibre.net>:
Extra info received and forwarded to list. Copy sent to Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>. (Sun, 12 Feb 2012 20:36:06 GMT) Full text and rfc822 format available.

Message #30 received at 650978@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@codelibre.net>
To: Damien Raude-Morvan <drazzib@drazzib.com>, 650978@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: [buildd-tools-devel] Bug#650978: schroot: mount: exec mount_nullfs not found: No such file or directory
Date: Sun, 12 Feb 2012 20:32:50 +0000
On Sun, Feb 12, 2012 at 09:15:00PM +0100, Damien Raude-Morvan wrote:
> Hi BSD Porters,
> 
> Since last December, I'm unable to use sbuild/schroot on an unstable box :
> 
> ~# sbuild-update -ugdc unstable
> E: 10mount: mount: exec mount_nullfs not found: No such file or directory
> E: unstable-kfreebsd-amd64-sbuild-1329077042-35644: Chroot setup
> failed: stage=setup-start
> Chroot setup failed
> Error setting up unstable chroot
> Chroot setup failed at /usr/bin/sbuild-update line 166.
> 
> FTR:
> 1) I can manually mount -t nullfs via sudo
> 2) I haven't made any change to PATH
> 3) AFAIK, mount can't find its helper in /sbin/
> 
> This issue is tracked as #650978.
> 
> Does anybody have a clue ?

Well, I have a suspicion of the problem.

1) schroot setup scripts are run without a PATH being set.  This
   has not been an issue to date for some reason; either this works
   on Linux and not BSD, or we were hitherto only using shell
   builtins or commands which didn't rely on PATH.  This fix is
   fairly simple: we need to explicity set PATH in the environment
   before execing the setup scripts.

2) BSD mount is not using a sensible PATH to search for its helpers.
   If it's using the user PATH to search for its helpers, there might
   be security implication here, especially if it's SUID like on Linux.

We can fix (1) in schroot fairly simply.  (2) might need some
investigation by the BSD porters.


Regards,
Roger

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux             http://people.debian.org/~rleigh/
 `. `'   Printing on GNU/Linux?       http://gutenprint.sourceforge.net/
   `-    GPG Public Key: 0x25BFB848   Please GPG sign your mail.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>:
Bug#650978; Package schroot. (Sun, 12 Feb 2012 20:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>. (Sun, 12 Feb 2012 20:42:03 GMT) Full text and rfc822 format available.

Message #35 received at 650978@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Damien Raude-Morvan <drazzib@drazzib.com>
Cc: debian-bsd@lists.debian.org, 650978@bugs.debian.org
Subject: Re: schroot: mount: exec mount_nullfs not found: No such file or directory
Date: Sun, 12 Feb 2012 20:41:15 +0000
Hi,

On 12/02/12 20:15, Damien Raude-Morvan wrote:
> ~# sbuild-update -ugdc unstable

At that shell, if you first run:

~# echo $PATH

What is the actual output?

I just wonder if /sbin is missing from PATH either before, or after, you
run sbuild-update.

Thanks,
Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>:
Bug#650978; Package schroot. (Sun, 12 Feb 2012 20:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>. (Sun, 12 Feb 2012 20:57:03 GMT) Full text and rfc822 format available.

Message #40 received at 650978@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Damien Raude-Morvan <drazzib@drazzib.com>
Cc: debian-bsd@lists.debian.org, 650978@bugs.debian.org
Subject: Re: schroot: mount: exec mount_nullfs not found: No such file or directory
Date: Sun, 12 Feb 2012 20:52:01 +0000
El 12 de febrer de 2012 20:15, Damien Raude-Morvan
<drazzib@drazzib.com> ha escrit:
> Does anybody have a clue ?

I recently applied this patch in mount to support /usr/sbin helpers:

http://anonscm.debian.org/viewvc/glibc-bsd/trunk/freebsd-utils/debian/patches/044_mount_exec.diff?revision=4047&view=markup

could you try rebuilding freebsd-utils without it?

If this patch is the problem, we could use execvP() instead (like upstream did).

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>:
Bug#650978; Package schroot. (Sun, 12 Feb 2012 21:21:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>. (Sun, 12 Feb 2012 21:21:15 GMT) Full text and rfc822 format available.

Message #45 received at 650978@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Robert Millan <rmh@debian.org>
Cc: Damien Raude-Morvan <drazzib@drazzib.com>, debian-bsd@lists.debian.org, 650978@bugs.debian.org
Subject: Re: schroot: mount: exec mount_nullfs not found: No such file or directory
Date: Sun, 12 Feb 2012 21:19:23 +0000
On 12/02/12 20:52, Robert Millan wrote:
> I recently applied this patch in mount to support /usr/sbin helpers:
> 
> http://anonscm.debian.org/viewvc/glibc-bsd/trunk/freebsd-utils/debian/patches/044_mount_exec.diff?revision=4047&view=markup
> 
> could you try rebuilding freebsd-utils without it?

Hi,

I tested that /lib/freebsd/mount (for which /bin/mount is wrapper
script) does accept a user-specified PATH when looking for a helper to
execute.  But fortunately it is not setuid (at least on my own Squeeze
installation).

If anyone allows the use of sudo for /bin/mount, that should reset the
environment to something sane, so they should not be at risk.


> If this patch is the problem, we could use execvP() instead (like upstream did).

I see that upstream previously searched /sbin then /usr/sbin, before
rewriting it to use execvP with _PATH_SYSPATH which is
"/rescue:/sbin:/usr/sbin".

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>:
Bug#650978; Package schroot. (Sun, 12 Feb 2012 21:27:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>. (Sun, 12 Feb 2012 21:27:20 GMT) Full text and rfc822 format available.

Message #50 received at 650978@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: Damien Raude-Morvan <drazzib@drazzib.com>, debian-bsd@lists.debian.org, 650978@bugs.debian.org
Subject: Re: schroot: mount: exec mount_nullfs not found: No such file or directory
Date: Sun, 12 Feb 2012 21:24:32 +0000
El 12 de febrer de 2012 21:19, Steven Chamberlain <steven@pyro.eu.org>
ha escrit:
> I tested that /lib/freebsd/mount (for which /bin/mount is wrapper
> script) does accept a user-specified PATH when looking for a helper to
> execute.  But fortunately it is not setuid (at least on my own Squeeze
> installation).
>
> If anyone allows the use of sudo for /bin/mount, that should reset the
> environment to something sane, so they should not be at risk.

Wouldn't it be better to fix the bug instead?

>> If this patch is the problem, we could use execvP() instead (like upstream did).
>
> I see that upstream previously searched /sbin then /usr/sbin, before
> rewriting it to use execvP with _PATH_SYSPATH which is
> "/rescue:/sbin:/usr/sbin".

If someone can confirm this fixes the problem, I could cherry-pick the
execvP() fix from upstream, but that requires importing the whole
execvP() implementation so I'd rather be sure it's what we need.

Could someone please check if 044_mount_exec.diff is the culprit?

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>:
Bug#650978; Package schroot. (Sun, 12 Feb 2012 21:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>. (Sun, 12 Feb 2012 21:36:08 GMT) Full text and rfc822 format available.

Message #55 received at 650978@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Robert Millan <rmh@debian.org>
Cc: Damien Raude-Morvan <drazzib@drazzib.com>, debian-bsd@lists.debian.org, 650978@bugs.debian.org
Subject: Re: schroot: mount: exec mount_nullfs not found: No such file or directory
Date: Sun, 12 Feb 2012 21:33:55 +0000
On 12/02/12 21:24, Robert Millan wrote:
>> If anyone allows the use of sudo for /bin/mount, that should reset the
>> environment to something sane, so they should not be at risk.
> 
> Wouldn't it be better to fix the bug instead?

Yes, of course...

> ... I could cherry-pick the
> execvP() fix from upstream, but that requires importing the whole
> execvP() implementation so I'd rather be sure it's what we need.

If it is easier, here is the older method used upstream before execvP
and paths.h:

http://svnweb.freebsd.org/base/head/sbin/mount/mount.c?r1=117030&r2=117031

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>:
Bug#650978; Package schroot. (Sun, 12 Feb 2012 23:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Damien Raude-Morvan <drazzib@drazzib.com>:
Extra info received and forwarded to list. Copy sent to Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>. (Sun, 12 Feb 2012 23:09:07 GMT) Full text and rfc822 format available.

Message #60 received at 650978@bugs.debian.org (full text, mbox):

From: Damien Raude-Morvan <drazzib@drazzib.com>
Cc: debian-bsd@lists.debian.org, 650978@bugs.debian.org
Subject: Re: schroot: mount: exec mount_nullfs not found: No such file or directory
Date: Mon, 13 Feb 2012 00:06:43 +0100
Hi Robert,

On 12/02/2012 22:24, Robert Millan wrote:
> If someone can confirm this fixes the problem, I could cherry-pick the
> execvP() fix from upstream, but that requires importing the whole
> execvP() implementation so I'd rather be sure it's what we need.
>
> Could someone please check if 044_mount_exec.diff is the culprit?

Yes, it works without 044_mount_exec.diff !

FTR, during rebuild of freebsd-utils-9.0 without 044_mount_exec.diff, it 
FTBFS with an "error: redefinition of 'getvfsbyname'". It seems to come 
from getvfsbyname redefined debian/patches/tmp_glibc.diff.

I think that debian/patches/tmp_glibc.diff should be dropped since 
2.13-26 is in unstable now. But maybe I'm just plain wrong as I'm not 
following kfreebsd closely...

Regards,
-- 
Damien




Added tag(s) pending. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Wed, 15 Feb 2012 22:06:17 GMT) Full text and rfc822 format available.

Bug reassigned from package 'schroot' to 'freebsd-utils'. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Wed, 15 Feb 2012 22:06:19 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions schroot/1.4.23-1. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Wed, 15 Feb 2012 22:06:20 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#650978; Package freebsd-utils. (Wed, 15 Feb 2012 22:06:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 15 Feb 2012 22:06:23 GMT) Full text and rfc822 format available.

Message #71 received at 650978@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Damien Raude-Morvan <drazzib@drazzib.com>
Cc: debian-bsd@lists.debian.org, 650978@bugs.debian.org, schroot@packages.debian.org
Subject: Re: schroot: mount: exec mount_nullfs not found: No such file or directory
Date: Wed, 15 Feb 2012 22:05:34 +0000
El 12 de febrer de 2012 23:06, Damien Raude-Morvan
<drazzib@drazzib.com> ha escrit:
>> Could someone please check if 044_mount_exec.diff is the culprit?
>
> Yes, it works without 044_mount_exec.diff !

Thanks.  Will be fixed in next upload.

> I think that debian/patches/tmp_glibc.diff should be dropped since 2.13-26
> is in unstable now.

Yes.  It's fixed in SVN.

-- 
Robert Millan




Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Sun, 26 Feb 2012 13:36:47 GMT) Full text and rfc822 format available.

Notification sent to "Damien Raude-Morvan" <drazzib@drazzib.com>:
Bug acknowledged by developer. (Sun, 26 Feb 2012 13:36:48 GMT) Full text and rfc822 format available.

Message #76 received at 650978-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 650978-close@bugs.debian.org
Subject: Bug#650978: fixed in freebsd-utils 9.0-2
Date: Sun, 26 Feb 2012 13:32:49 +0000
Source: freebsd-utils
Source-Version: 9.0-2

We believe that the bug you reported is fixed in the latest version of
freebsd-utils, which is due to be installed in the Debian FTP archive:

devd_9.0-2_kfreebsd-amd64.deb
  to main/f/freebsd-utils/devd_9.0-2_kfreebsd-amd64.deb
freebsd-geom_9.0-2_kfreebsd-amd64.deb
  to main/f/freebsd-utils/freebsd-geom_9.0-2_kfreebsd-amd64.deb
freebsd-net-tools-udeb_9.0-2_kfreebsd-amd64.udeb
  to main/f/freebsd-utils/freebsd-net-tools-udeb_9.0-2_kfreebsd-amd64.udeb
freebsd-net-tools_9.0-2_kfreebsd-amd64.deb
  to main/f/freebsd-utils/freebsd-net-tools_9.0-2_kfreebsd-amd64.deb
freebsd-nfs-common_9.0-2_kfreebsd-amd64.deb
  to main/f/freebsd-utils/freebsd-nfs-common_9.0-2_kfreebsd-amd64.deb
freebsd-nfs-server_9.0-2_kfreebsd-amd64.deb
  to main/f/freebsd-utils/freebsd-nfs-server_9.0-2_kfreebsd-amd64.deb
freebsd-ppp_9.0-2_kfreebsd-amd64.deb
  to main/f/freebsd-utils/freebsd-ppp_9.0-2_kfreebsd-amd64.deb
freebsd-utils-udeb_9.0-2_kfreebsd-amd64.udeb
  to main/f/freebsd-utils/freebsd-utils-udeb_9.0-2_kfreebsd-amd64.udeb
freebsd-utils_9.0-2.debian.tar.gz
  to main/f/freebsd-utils/freebsd-utils_9.0-2.debian.tar.gz
freebsd-utils_9.0-2.dsc
  to main/f/freebsd-utils/freebsd-utils_9.0-2.dsc
freebsd-utils_9.0-2_kfreebsd-amd64.deb
  to main/f/freebsd-utils/freebsd-utils_9.0-2_kfreebsd-amd64.deb
geom_9.0-2_kfreebsd-amd64.deb
  to main/f/freebsd-utils/geom_9.0-2_kfreebsd-amd64.deb
kbdcontrol-udeb_9.0-2_kfreebsd-amd64.udeb
  to main/f/freebsd-utils/kbdcontrol-udeb_9.0-2_kfreebsd-amd64.udeb
kbdcontrol_9.0-2_kfreebsd-amd64.deb
  to main/f/freebsd-utils/kbdcontrol_9.0-2_kfreebsd-amd64.deb
kldutils-udeb_9.0-2_kfreebsd-amd64.udeb
  to main/f/freebsd-utils/kldutils-udeb_9.0-2_kfreebsd-amd64.udeb
kldutils_9.0-2_kfreebsd-amd64.deb
  to main/f/freebsd-utils/kldutils_9.0-2_kfreebsd-amd64.deb
ktrace_9.0-2_kfreebsd-amd64.deb
  to main/f/freebsd-utils/ktrace_9.0-2_kfreebsd-amd64.deb
mkuzip_9.0-2_kfreebsd-amd64.deb
  to main/f/freebsd-utils/mkuzip_9.0-2_kfreebsd-amd64.deb
pf_9.0-2_kfreebsd-amd64.deb
  to main/f/freebsd-utils/pf_9.0-2_kfreebsd-amd64.deb
powerd_9.0-2_kfreebsd-amd64.deb
  to main/f/freebsd-utils/powerd_9.0-2_kfreebsd-amd64.deb
vidcontrol_9.0-2_kfreebsd-amd64.deb
  to main/f/freebsd-utils/vidcontrol_9.0-2_kfreebsd-amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 650978@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated freebsd-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 23 Feb 2012 21:01:34 +0100
Source: freebsd-utils
Binary: freebsd-utils freebsd-utils-udeb kldutils kldutils-udeb kbdcontrol kbdcontrol-udeb vidcontrol freebsd-net-tools freebsd-net-tools-udeb freebsd-nfs-server freebsd-nfs-common geom freebsd-geom freebsd-ppp devd ktrace pf powerd mkuzip
Architecture: source kfreebsd-amd64
Version: 9.0-2
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 devd       - device state change monitoring daemon
 freebsd-geom - modular disk I/O request transformation framework (meta-package)
 freebsd-net-tools - FreeBSD networking tools
 freebsd-net-tools-udeb - FreeBSD networking tools (udeb)
 freebsd-nfs-common - NFS support files common to client and server
 freebsd-nfs-server - FreeBSD server utilities needed for NFS on GNU/kFreeBSD
 freebsd-ppp - FreeBSD Point-to-Point Protocol (PPP) userland daemon
 freebsd-utils - FreeBSD utilities needed for GNU/kFreeBSD
 freebsd-utils-udeb - FreeBSD utilities needed for GNU/kFreeBSD (udeb)
 geom       - modular disk I/O request transformation framework
 kbdcontrol - command-line tool to change keyboard layout on GNU/kFreeBSD
 kbdcontrol-udeb - command-line tool to change keyboard layout on GNU/kFreeBSD (udeb)
 kldutils   - tools for managing kFreeBSD modules
 kldutils-udeb - tools for managing kFreeBSD modules (udeb)
 ktrace     - A kernel call tracer
 mkuzip     - Disk image compression utility
 pf         - The OpenBSD Packet Filter
 powerd     - System utility for power control and energy saving
 vidcontrol - command-line tool to control the system console on GNU/kFreeBSD
Closes: 650978 659659
Changes: 
 freebsd-utils (9.0-2) unstable; urgency=low
 .
   * Rename freebsd-geom to geom.
   * Add geli(8) symlink.
   * Add init script for GELI.
   * Remove tmp_glibc.diff, build-depend on libc0.1-dev 2.13-26 instead.
   * Remove workarounds for lack of execvP(), build-depend on
     freebsd-buildutils >= 9.0-7 instead. (Closes: #650978)
   * Build with backward-compatible feature_present().  (Closes: #659659)
Checksums-Sha1: 
 ade25fc0c14c3288144ec67e17df3bf574f4aeb9 2647 freebsd-utils_9.0-2.dsc
 47457b752d091b64a7f3a02cc44620ada22ae3e2 143772 freebsd-utils_9.0-2.debian.tar.gz
 3b9d0333975cfd5081edf8beb779736f5e7d91e3 262118 freebsd-utils_9.0-2_kfreebsd-amd64.deb
 5c49e4a224ac2b5c5bc8d750ad6066874f9f90fb 14730 freebsd-utils-udeb_9.0-2_kfreebsd-amd64.udeb
 7b7cc656943b9cfb30ad1a9f2cb97b98eb2ec5a7 38590 kldutils_9.0-2_kfreebsd-amd64.deb
 e8d3364b1dd7d4d14db195ab51a7c97e15843246 7420 kldutils-udeb_9.0-2_kfreebsd-amd64.udeb
 b75210e888616e78f19456f09e26c5fe393a0368 126394 kbdcontrol_9.0-2_kfreebsd-amd64.deb
 1b2b8a3f31bd15092bcc96cac08113ed4403944c 94160 kbdcontrol-udeb_9.0-2_kfreebsd-amd64.udeb
 d7a428b1e9cf63511cfcd1239a0368ac44e5dc2a 124312 vidcontrol_9.0-2_kfreebsd-amd64.deb
 bffa46caa63a78c286cbfcc6f256a79314521cc0 225952 freebsd-net-tools_9.0-2_kfreebsd-amd64.deb
 d28965403c27109383fcba2c1dfb76dccdcb628d 84052 freebsd-net-tools-udeb_9.0-2_kfreebsd-amd64.udeb
 b149a5c567bd28b0d25e53cb920b0e3184c76bfa 69046 freebsd-nfs-server_9.0-2_kfreebsd-amd64.deb
 3cd54f8ef40d1b33134836ecdc62c362184a105c 77836 freebsd-nfs-common_9.0-2_kfreebsd-amd64.deb
 e093bb1aeac578775c3a1f598245597f0acdf893 160158 geom_9.0-2_kfreebsd-amd64.deb
 e6fa13a30a26bc453f06c75105236dfcc07c96ad 21648 freebsd-geom_9.0-2_kfreebsd-amd64.deb
 a26c2e54dd6ebff0c61c2b0399ccc2fd0587feeb 276678 freebsd-ppp_9.0-2_kfreebsd-amd64.deb
 1e78dcc7fb0d254f4c2ea8316c8df3bc174db01c 68534 devd_9.0-2_kfreebsd-amd64.deb
 fb31d2a22c6864cf52081df02075f1462b321e34 55212 ktrace_9.0-2_kfreebsd-amd64.deb
 185dd1b8420c16a138c55e0584581e48e91af77a 199284 pf_9.0-2_kfreebsd-amd64.deb
 294ed876b2b67b9c9e266ae72ebf4566a275b358 32336 powerd_9.0-2_kfreebsd-amd64.deb
 6947a32124b8f8725936c18494cde9fec8c86a3f 27086 mkuzip_9.0-2_kfreebsd-amd64.deb
Checksums-Sha256: 
 d850507e2ce7f9bb7d61a60a7add77e7a7ae1986fcde56a273a31c6e3dc13a0e 2647 freebsd-utils_9.0-2.dsc
 64d4c5a94ce7477164b355883b1d7410ca83da1c375327effabb5a5ec5d8599a 143772 freebsd-utils_9.0-2.debian.tar.gz
 cd7f531084837e07823848aef3bf7193c193f3e99b1ed50704e2d69819066381 262118 freebsd-utils_9.0-2_kfreebsd-amd64.deb
 03989206c19bae5cdbcd7ab143de86ecd80eee78a2fd9b95f5f6c8ff013b17d5 14730 freebsd-utils-udeb_9.0-2_kfreebsd-amd64.udeb
 ccfba561d8690179f7dc8f60dd00ca7b73bfdeba5d8a5d8825f58deaf574901f 38590 kldutils_9.0-2_kfreebsd-amd64.deb
 f6e897f827081a15b22973bdd7c41310257fd1425ced37ed2b63bc6090e9fd43 7420 kldutils-udeb_9.0-2_kfreebsd-amd64.udeb
 4734e70ce50f0f53649ff839a7cf9a8a29b16f47968ba6c8a680b5462d4f2a9d 126394 kbdcontrol_9.0-2_kfreebsd-amd64.deb
 8049d380431e7a04950c6bdbeba217238475cfe9f1ce5b76ff86e358bddebdf3 94160 kbdcontrol-udeb_9.0-2_kfreebsd-amd64.udeb
 13b8a99136f97186cdf1dd1629b088997c581cbd6b10f8774c07bd5892170e09 124312 vidcontrol_9.0-2_kfreebsd-amd64.deb
 267a12b42a8b13dac3067337de4a7cb8287723691eb4a17c67727ba13458880c 225952 freebsd-net-tools_9.0-2_kfreebsd-amd64.deb
 06e5045d5425f4e779fb25c30851e8335686481b2366c0fb60ad24669018a90b 84052 freebsd-net-tools-udeb_9.0-2_kfreebsd-amd64.udeb
 79215c4dcef14b982d18b5ef61cb5b7e4ee7968bb7722394e24c9a1d9392d584 69046 freebsd-nfs-server_9.0-2_kfreebsd-amd64.deb
 3099272d9bf74b75de4fe3f21fdc60e748c1d0e0be87d51a72097353ed239906 77836 freebsd-nfs-common_9.0-2_kfreebsd-amd64.deb
 eb3da6d061739ceb1a78d62f13b8d6a1743edd7e233b1622daf45f17b84b9663 160158 geom_9.0-2_kfreebsd-amd64.deb
 24d42a8169b4d40d4d85b307adde9cdb2b39fbf41d7421e7f65566af7288b3b7 21648 freebsd-geom_9.0-2_kfreebsd-amd64.deb
 43c47c13029aea7a5d34e09d2c0b0d03e1f88d00a44d6d9d550899d82dcc62f4 276678 freebsd-ppp_9.0-2_kfreebsd-amd64.deb
 3446c4db70ff99d80d842a568cf1a74c8d2477bb6f50f596c6f6c46264463ac5 68534 devd_9.0-2_kfreebsd-amd64.deb
 02e3a7ffb15c59b3b05b2d250e44205755bd14477872dc0abe1c19ab7461cc82 55212 ktrace_9.0-2_kfreebsd-amd64.deb
 dbb7fc1c074fa890d15930abad57cef78a7706eb19a94fc4922c530bdaaf12df 199284 pf_9.0-2_kfreebsd-amd64.deb
 1fca7bafdae91e8a7fa73428f277e78cb7517e054444fb2970b645c302c00900 32336 powerd_9.0-2_kfreebsd-amd64.deb
 087a20418fcbdac477bcc7674e3d140d2a627d945d7c0e56cd6b8b141fd9e1ff 27086 mkuzip_9.0-2_kfreebsd-amd64.deb
Files: 
 30408fdb56521e83abf57ed3234b7deb 2647 utils important freebsd-utils_9.0-2.dsc
 29fdbdab3f41fccab326b245864d4f9b 143772 utils important freebsd-utils_9.0-2.debian.tar.gz
 0cec7733bd719c5969804f6054197e92 262118 utils required freebsd-utils_9.0-2_kfreebsd-amd64.deb
 f7e0fbf5bb9ccad80bd4062117348703 14730 debian-installer optional freebsd-utils-udeb_9.0-2_kfreebsd-amd64.udeb
 20420569801fd531a014f3803f5c1b83 38590 utils important kldutils_9.0-2_kfreebsd-amd64.deb
 a116eaa3baa1087fe71c3bc5498d8e11 7420 debian-installer optional kldutils-udeb_9.0-2_kfreebsd-amd64.udeb
 1c83ed3c0576ffcb525697c4f76a4b4b 126394 utils important kbdcontrol_9.0-2_kfreebsd-amd64.deb
 41c559b25d454eff34b09b713b0f127b 94160 debian-installer important kbdcontrol-udeb_9.0-2_kfreebsd-amd64.udeb
 314bbcfb590f77a85b16a19bf7044368 124312 utils important vidcontrol_9.0-2_kfreebsd-amd64.deb
 2b65704acff8756c7c7c684808812b30 225952 net important freebsd-net-tools_9.0-2_kfreebsd-amd64.deb
 d54298d12b8ecf329b74ac40541db7f2 84052 debian-installer important freebsd-net-tools-udeb_9.0-2_kfreebsd-amd64.udeb
 9c5132f9436c216a7cc71ff59cd12a92 69046 net optional freebsd-nfs-server_9.0-2_kfreebsd-amd64.deb
 f2bcbf713979531e3e27059c34821f7d 77836 net standard freebsd-nfs-common_9.0-2_kfreebsd-amd64.deb
 09bc2a93e7b695a443c865cae07a9585 160158 admin standard geom_9.0-2_kfreebsd-amd64.deb
 4dadef37eb452ce9a35a391ebdf6df57 21648 admin extra freebsd-geom_9.0-2_kfreebsd-amd64.deb
 db15ce3911ffa5a82485727e5ba27121 276678 net optional freebsd-ppp_9.0-2_kfreebsd-amd64.deb
 4b94906e6bdc57b6ef067f6992b88665 68534 admin important devd_9.0-2_kfreebsd-amd64.deb
 18597819b67ef26c44827d4175530c82 55212 utils optional ktrace_9.0-2_kfreebsd-amd64.deb
 1d8ec2575cb58cb1dbdaf9239ec93b3f 199284 net important pf_9.0-2_kfreebsd-amd64.deb
 7a7702164266da239af33312aa12f9cc 32336 admin optional powerd_9.0-2_kfreebsd-amd64.deb
 175fb4d3cd1b7d00198f534f9a7ba81d 27086 misc extra mkuzip_9.0-2_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk9GnC0ACgkQC19io6rUCv8ShACfeHX0Te4x2P4sZF4XXW1OQspx
W6MAn1Id6cYTctyl1G2ky+7DLmfqyTdb
=e9/z
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 01 Apr 2012 07:49:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:30:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.